OpenNMS API 1.2.9

## org.opennms.netmgt.rtc
Class DataSender.SendRequest

    java.lang.Object
      org.opennms.netmgt.rtc.DataSender.SendRequest

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  DataSender

private class DataSender.SendRequest
extends java.lang.Object
implements java.lang.Runnable

Inner class to send data to all the categories - this runnable prevents the RTCManager from having to block until data is computed, converted to XML and sent out

Constructor Summary
`private` `DataSender.SendRequest()`

Method Summary
`void` `run()` Call the 'sendData()' to send the data out for all the categories

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSender.SendRequest

    private DataSender.SendRequest()

Method Detail

### run

    public void run()

  Call the 'sendData()' to send the data out for all the categories

  Specified by:
    `run` in interface `java.lang.Runnable`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.